/**
 * A collection of Discord's various constants.
 * @module Constants
 * @memberof Discord
 * @namespace Discord.Constants
 */

import { getModule } from '@vizality/webpack';

/**
 * A large collection with a wide range of Discord's utility constants that are used
 * throughout the Discord app.
 */
export default {
  ...getModule('Permissions', 'ActivityTypes', 'StatusTypes'),
  DEFAULT_AVATARS: {
    ...getModule('DEFAULT_AVATARS')?.DEFAULT_AVATARS
  },
  DEFAULT_GROUP_DM_AVATARS: {
    ...getModule('DEFAULT_GROUP_DM_AVATARS')?.DEFAULT_GROUP_DM_AVATARS
  },
  EMOJI_CATEGORIES: {
    ...getModule('getGuildEmoji')?.categories
  }
};

export const { ActionTypes, Permissions, Routes } = this.default;
